---
- name: DOCKER service stop
  ignore_errors: yes
  service:
    name: docker
    state: stopped

- name: DOCKER packages remove
  ignore_errors: yes
  apt:
    name:
      - docker-ce
      - docker-ce-cli
      - docker.io
      - docker-compose
      - docker-compose-v2
      - docker-doc
      - podman-docker
      - containerd
      - runc
      - docker-ce-rootless-extras
      - docker-compose-plugin
      - docker-buildx-plugin
      - containerd.io
    state: absent
    purge: true

- name: DOCKER delete the directories
  ignore_errors: yes
  file:
    path:
      - /var/lib/docker
      - /var/lib/containerd
    state: absent
